: Class PjFontType1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object
Class PjFontType1

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject
            |
            +--com.etymon.pj.object.PjObject
                  |
                  +--com.etymon.pj.object.PjDictionary
                        |
                        +--com.etymon.pj.object.PjFont
                              |
                              +--com.etymon.pj.object.PjFontType1

All Implemented Interfaces:
  java.lang.Cloneable

public class PjFontType1
extends PjFont

A representation of a PDF type 1 font dictionary.

Fields inherited from class com.etymon.pj.object.PjDictionary
`_h`

Constructor Summary
`PjFontType1()` Creates a new type 1 font dictionary.
`PjFontType1(java.util.Hashtable h)` Creates a type 1 font dictionary as a wrapper around a Hashtable.

Method Summary
`java.lang.Object` | `clone()` Returns a deep copy of this object.
`static boolean` | `isLike(PjDictionary dictionary)` Examines a dictionary to see if it is a PDF type 1 font.

Methods inherited from class com.etymon.pj.object.PjFont
`getBaseFont, getEncoding, getFirstChar, getFontDescriptor, getLastChar, getName, getWidths, setBaseFont, setBaseFont, setEncoding, setEncoding, setEncoding, setFirstChar, setFirstChar, setFontDescriptor, setLastChar, setLastChar, setName, setWidths`

Methods inherited from class com.etymon.pj.object.PjDictionary
`cloneHt, getHashtable, hget, hgetReference, renumber, writePdf`

Methods inherited from class com.etymon.pj.object.BaseObject
`toString, write, write, write, writeln`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PjFontType1

    public PjFontType1()

  Creates a new type 1 font dictionary.

### PjFontType1

    public PjFontType1(java.util.Hashtable h)

  Creates a type 1 font dictionary as a wrapper around a Hashtable.
  Parameters:
    `h` - the Hashtable to use for this dictionary.

Method Detail

### isLike

    public static boolean isLike(PjDictionary dictionary)

  Examines a dictionary to see if it is a PDF type 1 font.
  Parameters:
    `dictionary` - the dictionary to examine.
  Returns:
    true if the dictionary could be interpreted as a valid PjFontType1 object.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a deep copy of this object.
  Overrides:
    `clone` in class `PjDictionary`
  Returns:
    a deep copy of this object.
  Throws:
    `java.lang.CloneNotSupportedException` - if the instance can not be cloned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD